# KeyListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Interface KeyListener

All Superinterfaces:
  ControlledInputReciever

All Known Subinterfaces:
  GameState, InputListener

All Known Implementing Classes:
  AbstractComponent, AlphaMapTest, AnimationTest, AntiAliasTest, BasicComponent, BasicGame, BasicGameState, BigImageTest, BigSpriteSheetTest, CachedRenderTest, CanvasContainerTest, CanvasSizeTest, ClipTest, CopyAreaAlphaTest, CurveTest, DeferredLoadingTest, DistanceFieldTest, DoubleClickTest, DuplicateEmitterTest, FlashTest, FontPerformanceTest, FontTest, GeomAccuracyTest, GeomTest, GeomUtilTest, GeomUtilTileTest, GradientImageTest, GradientTest, GraphicsTest, GUITest, ImageBufferEndianTest, ImageBufferTest, ImageCornerTest, ImageGraphicsTest, ImageMemTest, ImageOutTest, ImageReadTest, ImageTest, InkscapeTest, InputAdapter, InputProviderTest, InputTest, IsoTiledTest, KeyRepeatTest, LameTest, LineRenderTest, MorphShapeTest, MorphSVGTest, MouseOverArea, MusicListenerTest, NavMeshTest, PackedSheetTest, ParticleTest, PedigreeTest, PolygonTest, PureFontTest, SavedStateTest, ScalableTest, ShapeTest, SlickCallableTest, SoundPositionTest, SoundTest, SoundURLTest, SpriteSheetFontTest, StateBasedGame, StateBasedTest, TestBox, TestState1, TestState2, TestState3, TextField, TexturePaintTest, TileMapTest, TransformTest, TransformTest2, TransitionTest, TransparentColorTest, TrueTypeFontPerformanceTest, UnicodeFontTest

    public interface KeyListener

extends ControlledInputReciever

Describes classes capable of responding to key presses

Author:
  kevin

Method Summary
`void` `keyPressed(int key, char c)` Notification that a key was pressed
`void` `keyReleased(int key, char c)` Notification that a key was released

Methods inherited from interface org.newdawn.slick.ControlledInputReciever
`inputEnded, inputStarted, isAcceptingInput, setInput`

Method Detail

### keyPressed

    void keyPressed(int key,
                    char c)

  Notification that a key was pressed

  Parameters:
    `key` - The key code that was pressed (@see org.newdawn.slick.Input)
    `c` - The character of the key that was pressed

### keyReleased

    void keyReleased(int key,
                     char c)

  Notification that a key was released

  Parameters:
    `key` - The key code that was released (@see org.newdawn.slick.Input)
    `c` - The character of the key that was released

Copyright © 2006 New Dawn Software. All Rights Reserved.